/*Table Variables as Input Parameters*/
/*
Intellisense
SSIS C#
Data Change tracking
Installer
*/

DECLARE @Var AS INT = 3
SELECT @Var
GO
IF EXISTS (SELECT * FROM sys.objects WHERE name = 'usp_example')
	DROP PROCEDURE usp_example
GO
IF EXISTS (SELECT * FROM sys.types where name = 'tt_example')
	DROP TYPE tt_example
GO
create type tt_example AS TABLE
 (spid int)
go
create procedure usp_example
 @spids tt_example READONLY
AS
 SELECT *
 FROM @spids
GO
declare @spids tt_example

insert into @spids
select top 10 spid
from sys.sysprocesses

exec usp_example @spids=@spids
GO
